pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

call for testing: pkgin 0.4

Dear pkgsrc-users,

There were some changes made to pkgin's code since the 0.3 branch, and i'm happy to announce that 0.4 is getting closer to a release.

Among many patches submitted by users and porters, there have been some improvements and polishing. pkgin now officially supports (meaning i've built and tested it on those platforms) :

. NetBSD 4,5,current / i386 and amd64
. DragonFly BSD 2.2 to 2.8 and current / i386
. SunOS 5.10 and 5.11 / i386
. MINIX 3.1.8 / i386
. Debian GNU/Linux 5.0 and 6.0 / i386 and amd64
. Mac OS X 10.5 and 10.6 / i386 and amd64

pkgin 0.4 has no longer dependency over SQLite package (except for MINIX), as the "Amalgamation" source code is now part of pkgin's tree

As pkgsrc-wip is still down, you can find a .shar file at

allowing you to test the full process. Just execute it on your existing wip/pkgin or pkgtools/pkgin and upgrade your actual version as usual.

I'd really like to read feedback from non-NetBSD pkgsrc users, as NetBSD is my main development environment and is already been used for testing.

Thanks for reading, and happy upgrades !


Emile "iMil" Heitor <>                              
                     ASCII ribbon campaign ( )
                                                    - against HTML email  X
                                                                & vCards / \

Home | Main Index | Thread Index | Old Index